const sendSignal = (server : string, name : string, signal : string, loadServer: Function) => {
    let token = ""
    const storedTokens = localStorage.getItem("tokens");
    if (storedTokens) {
      const jsonStoredTokens = JSON.parse(storedTokens)
      token = jsonStoredTokens.find((curr : { server: string, token: string}) => curr.server === server)?.token;
    }
    fetch(`${server}/${name}/${signal}`, {method: 'POST', headers: {"access_token": token}})
    .then(res => res.json())
    .then(data => {
      console.log(data);
      if (data.success) {
        loadServer(true);
      }
    })
}

export default sendSignal;