const getToken = (localStorage: Storage, currentServer: string) => {
    let token = "";
    const storedTokens = localStorage.getItem("tokens");
    if (storedTokens) {
      const jsonStoredTokens = JSON.parse(storedTokens)
      token = jsonStoredTokens.find((curr : { server: string, token: string}) => curr.server === currentServer)?.token;
    }
    return token;
}

export default getToken;